path: /build/build/setuptools-rust-dev-python-1.10.2+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/setuptools-rust -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/setuptools-rust && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/setuptools-rust && \
    luet-portage --dir /pkgdir/setuptools-rust dev-python/setuptools-rust && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree:ba94061fa07bc6b1d20140eeac418e40033716f89784f7168273d1c8b5a21731
  package:
    name: setuptools-rust
    version: 1.10.2+1
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: rust
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Setuptools Rust extension plugin
    uri:
    - https://pypi.org/project/setuptools-rust/
    license: MIT
    buildtimestamp: 2024-11-04 00:50:00.12185765 +0000 UTC m=+123.756572909
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools_scm[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/semantic_version-2.8.5[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/toml[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/typing-extensions[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/setuptools-rust
      kit: python-modules-kit
      original.package.name: dev-python/setuptools-rust
      original.package.slot: "0"
      original.package.version: 1.10.2
    treedir: /build/packages
  package_dir: /pkgdir/setuptools-rust
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ceed8db2e380c85923465e1a3fde1fee51b5d4873411459cbb10668faca35248
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/setuptools_rust/__init__.py
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/_utils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/_utils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/_utils.cpython-39.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/build.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/build.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/build.cpython-39.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/clean.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/clean.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/clean.cpython-39.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/command.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/command.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/command.cpython-39.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/extension.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/extension.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/extension.cpython-39.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/rustc_info.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/rustc_info.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/rustc_info.cpython-39.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/setuptools_ext.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/setuptools_ext.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/setuptools_ext.cpython-39.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/version.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/version.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/__pycache__/version.cpython-39.pyc
- usr/lib/python3.9/site-packages/setuptools_rust/_utils.py
- usr/lib/python3.9/site-packages/setuptools_rust/build.py
- usr/lib/python3.9/site-packages/setuptools_rust/clean.py
- usr/lib/python3.9/site-packages/setuptools_rust/command.py
- usr/lib/python3.9/site-packages/setuptools_rust/extension.py
- usr/lib/python3.9/site-packages/setuptools_rust/py.typed
- usr/lib/python3.9/site-packages/setuptools_rust/rustc_info.py
- usr/lib/python3.9/site-packages/setuptools_rust/setuptools_ext.py
- usr/lib/python3.9/site-packages/setuptools_rust/version.py
- usr/lib/python3.9/site-packages/setuptools_rust-1.10.2.dist-info/METADATA
- usr/lib/python3.9/site-packages/setuptools_rust-1.10.2.dist-info/RECORD
- usr/lib/python3.9/site-packages/setuptools_rust-1.10.2.dist-info/WHEEL
- usr/lib/python3.9/site-packages/setuptools_rust-1.10.2.dist-info/entry_points.txt
- usr/lib/python3.9/site-packages/setuptools_rust-1.10.2.dist-info/top_level.txt
- usr/lib/python3.9/site-packages/setuptools_rust-1.10.2.dist-info/zip-safe
- usr/share/doc/setuptools-rust-1.10.2/README.md.bz2
- var/db/pkg/dev-python/setuptools-rust-1.10.2/BDEPEND
- var/db/pkg/dev-python/setuptools-rust-1.10.2/BUILD_TIME
- var/db/pkg/dev-python/setuptools-rust-1.10.2/CATEGORY
- var/db/pkg/dev-python/setuptools-rust-1.10.2/CBUILD
- var/db/pkg/dev-python/setuptools-rust-1.10.2/CFLAGS
- var/db/pkg/dev-python/setuptools-rust-1.10.2/CHOST
- var/db/pkg/dev-python/setuptools-rust-1.10.2/CONTENTS
- var/db/pkg/dev-python/setuptools-rust-1.10.2/COUNTER
- var/db/pkg/dev-python/setuptools-rust-1.10.2/CTARGET
- var/db/pkg/dev-python/setuptools-rust-1.10.2/CXX
- var/db/pkg/dev-python/setuptools-rust-1.10.2/CXXFLAGS
- var/db/pkg/dev-python/setuptools-rust-1.10.2/DEFINED_PHASES
- var/db/pkg/dev-python/setuptools-rust-1.10.2/DEPEND
- var/db/pkg/dev-python/setuptools-rust-1.10.2/DESCRIPTION
- var/db/pkg/dev-python/setuptools-rust-1.10.2/EAPI
- var/db/pkg/dev-python/setuptools-rust-1.10.2/FEATURES
- var/db/pkg/dev-python/setuptools-rust-1.10.2/HOMEPAGE
- var/db/pkg/dev-python/setuptools-rust-1.10.2/INHERITED
- var/db/pkg/dev-python/setuptools-rust-1.10.2/IUSE
- var/db/pkg/dev-python/setuptools-rust-1.10.2/IUSE_EFFECTIVE
- var/db/pkg/dev-python/setuptools-rust-1.10.2/KEYWORDS
- var/db/pkg/dev-python/setuptools-rust-1.10.2/LDFLAGS
- var/db/pkg/dev-python/setuptools-rust-1.10.2/LICENSE
- var/db/pkg/dev-python/setuptools-rust-1.10.2/PF
- var/db/pkg/dev-python/setuptools-rust-1.10.2/RDEPEND
- var/db/pkg/dev-python/setuptools-rust-1.10.2/SIZE
- var/db/pkg/dev-python/setuptools-rust-1.10.2/SLOT
- var/db/pkg/dev-python/setuptools-rust-1.10.2/USE
- var/db/pkg/dev-python/setuptools-rust-1.10.2/environment.bz2
- var/db/pkg/dev-python/setuptools-rust-1.10.2/repository
- var/db/pkg/dev-python/setuptools-rust-1.10.2/setuptools-rust-1.10.2.ebuild
package_cacheimage: ""
runtime:
  name: setuptools-rust
  version: 1.10.2+1
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: semantic_version
    version: '>=0'
    category: dev-python
  - name: toml
    version: '>=0'
    category: dev-python
  - name: typing-extensions
    version: '>=0'
    category: dev-python
  - name: wheel
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Setuptools Rust extension plugin
  uri:
  - https://pypi.org/project/setuptools-rust/
  license: MIT
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools_scm[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/semantic_version-2.8.5[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/toml[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/typing-extensions[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/setuptools-rust
    kit: python-modules-kit
    original.package.name: dev-python/setuptools-rust
    original.package.slot: "0"
    original.package.version: 1.10.2
